Bug 242501 - sysutils/u-boot-tools: mark as BROKEN on powerpc64
Summary: sysutils/u-boot-tools: mark as BROKEN on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-07 19:09 UTC by Mark Linimon
Modified: 2020-05-26 00:24 UTC (History)
0 users

See Also:


Attachments
patch to sysutils/u-boot-tools/Makfile (570 bytes, patch)
2019-12-07 19:09 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2019-12-07 19:09:26 UTC
Created attachment 209775 [details]
patch to sysutils/u-boot-tools/Makfile

sysutils/u-boot-tools has been failing to build on powerpc64 for quite some time.  Adding COMPILER:c11 to USES is necessary but not sufficient.  Apparently the 'sandbox' functionality is not available on powerpc.

Over time, I have tried to learn how to disable the sandbox function, but get lost deep in the details of Kconfig.  It's time to mark it BROKEN just to save time on the cluster builds for now.
Comment 1 Bugzilla Automation freebsd_committer 2019-12-07 19:09:26 UTC
Maintainer informed via mail
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2020-05-26 00:24:27 UTC
Committed as r535706 2020-05-18.